//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014

function MenuItem(name)
{
	this.name = name;
	this.visible = true;
	
	this.CanSelect = function()
	{
		return false;
	}
	
	this.GetX = function()
	{
		return this.x;
	}
	
	this.GetY = function()
	{
		return this.y;
	}

	this.GetWidth = function()
	{
		return this.width;
	}
	
	this.GetHeight = function()
	{
		return this.height;
	}
	
	this.SetPosition = function(x, y)
	{
		this.x = x;
		this.y = y;
	}

	this.SetSize = function(width, height)
	{
		this.width = width;
		this.height = height;
	}

	this.SetFontSize = function(size)
	{
		this.fontSize = size;
	}

	this.Update = function()
	{
	
	}
	
	this.IsVisible = function()
	{
		return this.visible;
	}
	
	this.SetVisible = function(set)
	{
		this.visible = set;
	}
}
